include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ktupnp (static)

tde_add_library( ktupnp STATIC_PIC AUTOMOC

  SOURCES
        soap.cpp
        upnpdescriptionparser.cpp
        upnpmcastsocket.cpp
        upnprouter.cpp
        portlist.cpp
        httprequest.cpp
        exitoperation.cpp
        forwardportlist.cpp
)
